> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all applicants

GET https://api.propexo.com/v1/applicants/

Get all applicants

Reference: https://docs.propexo.com/api-reference/propertyware-soap/applicants/get-all-applicants

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `x_id` (string, optional) — The external ID from the integration vendor
- `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `email_1` (string, optional) — The primary email address associated with the applicant
- `phone_1` (string, optional) — Filter by phone number (10 digit format only)

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (list of Applicant, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Applicant

- `id` (string, required) — The Propexo unique identifier for the applicant
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | |---| | getProspects |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | |---| | getProspects |
- `x_lead_id` (any, required) — The external ID of the lead from the integration vendorThis field will always be null for PROPERTYWARE
- `x_unit_id_preferred` (list of string, required) — The external IDs of the units from the integration vendor that the applicant is interested in | Method | |---| | getProspects |
- `address_1_alternate` (any, required) — The first alternate address line associated with the applicantThis field will always be null for PROPERTYWARE
- `address_1` (string, required, nullable) — The first address line associated with the applicant | Method | |---| | getProspects |
- `address_2_alternate` (any, required) — The second alternate address line associated with the applicantThis field will always be null for PROPERTYWARE
- `address_2` (string, required, nullable) — The second address line associated with the applicant | Method | |---| | getProspects |
- `applications` (list of ApplicantApplicationsItems, required) — Applications that the applicant has submitted
- `city_alternate` (any, required) — The alternate city associated with the applicantThis field will always be null for PROPERTYWARE
- `city` (string, required, nullable) — The city associated with the applicant | Method | |---| | getProspects |
- `country_alternate` (any, required) — The alternate country associated with the applicantThis field will always be null for PROPERTYWARE
- `country` (string, required, nullable) — The country associated with the applicant | Method | |---| | getProspects |
- `custom_data` (ApplicantCustomData, required, nullable)
- `date_of_birth` (any, required) — The date of birth associated with the applicantThis field will always be null for PROPERTYWARE
- `email_1` (string, required, nullable) — The primary email address associated with the applicant | Method | |---| | getProspects |
- `email_2` (any, required) — The secondary email address associated with the applicantThis field will always be null for PROPERTYWARE
- `first_name` (string, required, nullable) — The first name associated with the applicant | Method | |---| | getProspects |
- `last_name` (string, required, nullable) — The last name associated with the applicant | Method | |---| | getProspects |
- `middle_name` (string, required, nullable) — The middle name associated with the applicant | Method | |---| | getProspects |
- `notes` (string, required, nullable) — Notes associated with the applicant | Method | |---| | getProspects |
- `phone_1_type` (enum, required) — Type of the primary phone number | Method | |---| | getProspects |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_1` (string, required, nullable) — Primary phone number associated with the applicant | Method | |---| | getProspects |
- `phone_2_type` (enum, required) — Type of the secondary phone number | Method | |---| | getProspects |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the applicant | Method | |---| | getProspects |
- `state_alternate` (any, required) — The alternate state associated with the applicantThis field will always be null for PROPERTYWARE
- `state` (string, required, nullable) — The state associated with the applicant | Method | |---| | getProspects |
- `type_normalized` (any, required) — The normalized type associated with the applicantThis field will always be null for PROPERTYWARE
- `type_raw` (any, required) — The raw type associated with the applicantThis field will always be null for PROPERTYWARE
- `zip_alternate` (any, required) — The alternate zip code associated with the applicantThis field will always be null for PROPERTYWARE
- `zip` (string, required, nullable) — The zip code associated with the applicant | Method | |---| | getProspects |
- `pets` (list of ApplicantPetsItems, required) — This field is not currently hydrated for PROPERTYWARE
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `PROPERTYWARE`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id_preferred` (list of string, required) — The Propexo unique identifiers for the units that the applicant is interested in | Method | |---| | getProspects |
- `screenings` (list of ApplicantScreeningsItems, required) — This field is not currently hydrated for PROPERTYWARE
- `x_unit_id` (string, required, nullable, deprecated) — DEPRECATED: Use x_unit_id_preferred instead | Method | |---| | getProspects |
- `x_lease_id` (any, required, deprecated) — DEPRECATED: Not in use.This field will always be null for PROPERTYWARE
- `self_reported_income` (list of IncomeSource, optional) — Self reported income sources for the applicantThis field is not currently hydrated for PROPERTYWARE

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### ApplicantApplicationsItems

- `applicant_id` (string, required) — | Method | |---| | getProspects |
- `application_id` (string, required) — | Method | |---| | getProspects |
- `status_raw` (string, optional, nullable) — The raw status associated with the applicant | Method | |---| | getProspects |
- `status_normalized` (ApplicantApplicationsItemsStatusNormalized, optional, nullable) — The normalized status associated with the applicant. Confirm these derived values before using them in production. | Method | |---| | getProspects |
- `custom_data` (ApplicantApplicationsItemsCustomData, optional, nullable)
- `status` (string, optional, nullable, deprecated) — DEPRECATED. Use status_raw or status_normalized | Method | |---| | getProspects |

### ApplicantCustomData

### ApplicantPetsItems

- `id` (string, required) — The Propexo unique identifier for the applicant pet
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `age_in_years` (double, required, nullable) — The age in years of the applicant petThis field is not currently hydrated for PROPERTYWARE
- `breed` (string, required, nullable) — The breed of the applicant petThis field is not currently hydrated for PROPERTYWARE
- `color` (string, required, nullable) — The color of the applicant petThis field is not currently hydrated for PROPERTYWARE
- `gender_raw` (string, required, nullable) — The raw value for the gender of the applicant petThis field is not currently hydrated for PROPERTYWARE
- `is_declawed` (boolean, required, nullable) — Whether the applicant pet is declawedThis field is not currently hydrated for PROPERTYWARE
- `is_fixed` (boolean, required, nullable) — Whether the applicant pet is fixedThis field is not currently hydrated for PROPERTYWARE
- `is_service_animal` (boolean, required, nullable) — Whether the applicant pet is a service animalThis field is not currently hydrated for PROPERTYWARE
- `is_trained` (boolean, required, nullable) — Whether the applicant pet is trainedThis field is not currently hydrated for PROPERTYWARE
- `is_vaccinated` (boolean, required, nullable) — Whether the applicant pet is vaccinatedThis field is not currently hydrated for PROPERTYWARE
- `name` (string, required, nullable) — The name associated with the applicant petThis field is not currently hydrated for PROPERTYWARE
- `notes` (string, required, nullable) — Notes associated with the applicant petThis field is not currently hydrated for PROPERTYWARE
- `type` (string, required, nullable) — The type associated with the applicant petThis field is not currently hydrated for PROPERTYWARE
- `weight_in_pounds` (double, required, nullable) — The weight in pounds of the applicant petThis field is not currently hydrated for PROPERTYWARE
- `custom_data` (ApplicantPetsItemsCustomData, required, nullable)

### ApplicantScreeningsItems

- `id` (string, required) — The Propexo ID of the screening
- `created_at` (string, required) — The date record first entered Propexo
- `last_seen` (string, required) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `status_raw` (string, required, nullable) — The status/results of the screeningThis field is not currently hydrated for PROPERTYWARE
- `screening_date` (string, required, nullable) — The date the screening took placeThis field is not currently hydrated for PROPERTYWARE

### IncomeSource

- `amount_in_cents` (double, required, nullable) — The total income of the applicant, in centsThis field is not currently hydrated for PROPERTYWARE
- `amount_raw` (string, required, nullable) — The total income amount of the applicantThis field is not currently hydrated for PROPERTYWARE
- `type_normalized` (any, required) — The type of income of the applicantThis field will always be null for PROPERTYWARE
- `type_raw` (any, required) — The type of income of the applicantThis field will always be null for PROPERTYWARE

### ApplicantApplicationsItemsStatusNormalized

The normalized status associated with the applicant. Confirm these derived values before using them in production. | Method | |---| | getProspects |

### ApplicantApplicationsItemsCustomData

### ApplicantPetsItemsCustomData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_id": "774210",
      "x_property_id": "481920",
      "x_lead_id": null,
      "x_unit_id_preferred": [
        "456",
        "123"
      ],
      "address_1_alternate": null,
      "address_1": "1200 Market Street",
      "address_2_alternate": null,
      "address_2": "Apt 4B",
      "applications": [
        {
          "applicant_id": "cm0applx00008pw0za63zbjzp",
          "application_id": "cm0appcx00008pw0za63zbjzp",
          "status_raw": "Pending",
          "status_normalized": "PENDING",
          "custom_data": {},
          "status": "string"
        }
      ],
      "city_alternate": null,
      "city": "Austin",
      "country_alternate": null,
      "country": "USA",
      "custom_data": {},
      "date_of_birth": null,
      "email_1": "jane.doe@example.com",
      "email_2": null,
      "first_name": "Jane",
      "last_name": "Doe",
      "middle_name": "A",
      "notes": "Prefers a first-floor unit",
      "phone_1_type": "MOBILE",
      "phone_1": "(555) 555-0100",
      "phone_2_type": "HOME",
      "phone_2": "(555) 555-0101",
      "state_alternate": null,
      "state": "TX",
      "type_normalized": null,
      "type_raw": null,
      "zip_alternate": null,
      "zip": "78701",
      "pets": [
        {
          "id": "clwktsp9v000008l31iv218hn",
          "created_at": "2024-03-21T15:38:08.337Z",
          "updated_at": "2024-03-22T10:59:45.119Z",
          "last_seen": "2024-03-22T10:59:45.119Z",
          "x_id": "string",
          "age_in_years": 1.1,
          "breed": "string",
          "color": "string",
          "gender_raw": "string",
          "is_declawed": true,
          "is_fixed": true,
          "is_service_animal": true,
          "is_trained": true,
          "is_vaccinated": true,
          "name": "string",
          "notes": "string",
          "type": "string",
          "weight_in_pounds": 1.1,
          "custom_data": {}
        }
      ],
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "PROPERTYWARE",
      "property_id": "clwi5xiix000008l6ctdgafyh",
      "unit_id_preferred": [
        "testintegration:123:456",
        "testintegration:678:123"
      ],
      "screenings": [
        {
          "id": "clwktsp9v000008l31iv218hn",
          "created_at": "2024-03-21T15:38:08.337Z",
          "last_seen": "2024-03-22T10:59:45.119Z",
          "x_id": "string",
          "status_raw": "string",
          "screening_date": "string"
        }
      ],
      "x_unit_id": "string",
      "x_lease_id": null,
      "self_reported_income": [
        {
          "amount_in_cents": 325000,
          "amount_raw": "string",
          "type_normalized": null,
          "type_raw": null
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applicants/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applicants/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applicants/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applicants/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/applicants/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/applicants/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applicants/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applicants/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```